'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../_virtual/_tslib.js');
var jsxRuntime = require('../../../node_modules/react/jsx-runtime.js');
var utils = require('../../../common/theming/utils.js');

const Message = _a => {
  var _b;
  var {
      children,
      appearance,
      color = 'default'
    } = _a,
    props = _tslib.__rest(_a, ["children", "appearance", "color"]);
  const classNames = utils.generateClassNames('message', '', {
    color
  }, appearance);
  return jsxRuntime["default"].jsx("span", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.message,
    className: classNames.join(' ')
  }, {
    children: children
  }));
};

exports.Message = Message;
