/**
 * Create default theme
 *
 * createStitches()
 * https://stitches.dev/docs/api#theme
 *
 * to add a new theme use  createTheme({})
 * https://stitches.dev/docs/api#theme
 */
import { ThemeVariables } from "./theme-types";
declare const supabase: ThemeVariables;
declare const minimal: ThemeVariables;
declare const darkThemes: {
    supabase: ThemeVariables;
    minimal: ThemeVariables;
};
export { supabase, minimal, darkThemes };
//# sourceMappingURL=Themes.d.ts.map