import { __rest } from '../../../_virtual/_tslib.js';
import jsxRuntime from '../../../node_modules/react/jsx-runtime.js';
import { generateClassNames } from '../../../common/theming/utils.js';

const Input = _a => {
  var _b;
  var {
      children,
      appearance
    } = _a,
    props = __rest(_a, ["children", "appearance"]);
  const type = props.type === 'password' ? 'password' : 'default';
  const classNames = generateClassNames('input', '', {
    type
  }, appearance);
  return jsxRuntime.jsx("input", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.input,
    className: classNames.join(' ')
  }, {
    children: children
  }));
};

export { Input };
