import { __rest } from '../../../_virtual/_tslib.js';
import jsxRuntime from '../../../node_modules/react/jsx-runtime.js';
import { generateClassNames } from '../../../common/theming/utils.js';

const Container = _a => {
  var _b;
  var {
      children,
      appearance,
      direction = 'vertical',
      gap = 'medium'
    } = _a,
    props = __rest(_a, ["children", "appearance", "direction", "gap"]);
  const classNames = generateClassNames('container', '', {
    direction,
    gap
  }, appearance);
  return jsxRuntime.jsx("div", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.container,
    className: classNames.join(' ')
  }, {
    children: children
  }));
};

export { Container };
